Bug 204008 - run fsx-linux test case pushed the box in xmon on fedora 6t2
run fsx-linux test case pushed the box in xmon on fedora 6t2
Status: CLOSED DUPLICATE of bug 196914
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-24 18:53 EDT by IBM Bug Proxy
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-25 15:49:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 26623 None None None Never

  None (edit)
Description IBM Bug Proxy 2006-08-24 18:53:33 EDT
LTC Owner is: dmosby@us.ibm.com
LTC Originator is: weibbin@cn.ibm.com


Problem description:

when we run the test case fsx-linux on fedora 6t2, the box is pushed into xmon.


Hardware Environment
    Machine type (p650, x235, SF2, etc.):SF4+
    Cpu type (Power4, Power5, IA-64, etc.):power5
    Describe any special hardware you think might be relevant to this problem:


Is this reproducible?
    yes
    Describe the steps:
    1.run the test case fsx-linux on fedora 6t2
    2.the box is pushed into xmon

Additional information:

2:mon> e
cpu 0x2: Vector: 700 (Program Check) at [c000000023e13940]
    pc: c0000000000df414: .submit_bh+0x44/0x1c0
    lr: c0000000000e1104: .ll_rw_block+0x148/0x190
    sp: c000000023e13bc0
   msr: 8000000000029032
  current = 0xc00000000250b110
  paca    = 0xc000000000484780
    pid   = 24423, comm = kjournald
kernel BUG in submit_bh at fs/buffer.c:2793!
2:mon> t
[c000000023e13c50] c0000000000e1104 .ll_rw_block+0x148/0x190
[c000000023e13cf0] d0000000001735d4 .journal_commit_transaction+0x4a4/0x1474 [jbd]
[c000000023e13e00] d000000000178a9c .kjournald+0xdc/0x298 [jbd]
[c000000023e13ee0] c00000000007f570 .kthread+0x128/0x178
[c000000023e13f90] c0000000000266c0 .kernel_thread+0x4c/0x68
2:mon> r
R00 = 0000000000000001   R16 = 4000000001c00000
R01 = c000000023e13bc0   R17 = c0000000003902f0
R02 = c00000000059ffd0   R18 = 0000000000000000
R03 = 0000000000000001   R19 = 0000000000167400
R04 = c000000044b783c0   R20 = c000000000441260
R05 = 000000000000012d   R21 = 0000000002041260
R06 = 0000000000000841   R22 = 00000000020414d0
R07 = c00000007f884b60   R23 = c000000023e10000
R08 = c000000000ec0b78   R24 = c00000003d1c4500
R09 = c000000044b78418   R25 = 0000000000000200
R10 = 0000000000000004   R26 = 0000000000000200
R11 = 0000000000000007   R27 = 0000000000000003
R12 = c00000000fc3b138   R28 = 0000000000000001
R13 = c000000000484780   R29 = c00000003d1c4840
R14 = 0000000000000000   R30 = c0000000004d7748
R15 = c0000000003918d0   R31 = c000000044b783c0
pc  = c0000000000df414 .submit_bh+0x44/0x1c0
lr  = c0000000000e1104 .ll_rw_block+0x148/0x190
msr = 8000000000029032   cr  = 24000042
ctr = c000000000193984   xer = 0000000000000001   trap =  700
2:mon> mi
Mem-info:
Node 0 DMA per-cpu:
cpu 0 hot: high 6, batch 1 used:3
cpu 0 cold: high 2, batch 1 used:1
cpu 1 hot: high 6, batch 1 used:0
cpu 1 cold: high 2, batch 1 used:1
cpu 2 hot: high 6, batch 1 used:5
cpu 2 cold: high 2, batch 1 used:0
cpu 3 hot: high 6, batch 1 used:2
cpu 3 cold: high 2, batch 1 used:0
cpu 4 hot: high 6, batch 1 used:1
cpu 4 cold: high 2, batch 1 used:0
cpu 5 hot: high 6, batch 1 used:0
cpu 5 cold: high 2, batch 1 used:0
Node 0 DMA32 per-cpu: empty
Node 0 Normal per-cpu: empty
Node 0 HighMem per-cpu: empty
Free pages:       49088kB (0kB HighMem)
Active:13624 inactive:12829 dirty:35 writeback:0 unstable:0 free:767 slab:4903
mapped:365 pagetables:156
Node 0 DMA free:49088kB min:5760kB low:7168kB high:8640kB active:871936kB
inactive:821056kB present:2097152kB pages_scanned:0 all_unreclaimable? no
lowmem_reserve[]: 0 0 0 0
Node 0 DMA32 free:0kB min:0kB low:0kB high:0kB active:0kB inactive:0kB
present:0kB pages_scanned:0 all_unreclaimable? no
lowmem_reserve[]: 0 0 0 0
Node 0 Normal free:0kB min:0kB low:0kB high:0kB active:0kB inactive:0kB
present:0kB pages_scanned:0 all_unreclaimable? no
lowmem_reserve[]: 0 0 0 0
Node 0 HighMem free:0kB min:2048kB low:2048kB high:2048kB active:0kB
inactive:0kB present:0kB pages_scanned:0 all_unreclaimable? no
lowmem_reserve[]: 0 0 0 0
Node 0 DMA: 423*64kB 114*128kB 5*256kB 2*512kB 1*1024kB 0*2048kB 1*4096kB
0*8192kB 0*16384kB = 49088kB
Node 0 DMA32: empty
Node 0 Normal: empty
Node 0 HighMem: empty
Swap cache: add 16, delete 16, find 0/0, race 0+0
Free swap  = 2095296kB
Total swap = 2096320kB
Free swap:       2095296kB
32768 pages of RAM
344 reserved pages
22255 pages shared
0 pages swap cached
Comment 1 David Lawrence 2006-09-05 11:24:11 EDT
Reassigning to correct owner, kernel-maint.
Comment 2 Eric Sandeen 2006-09-25 15:49:38 EDT
Looks like a dup of the issue in 196914:

kernel BUG at fs/buffer.c:2793!

*** This bug has been marked as a duplicate of 196914 ***

Note You need to log in before you can comment on or make changes to this bug.